﻿<h1 id="access-control-lists">Access Control Lists</h1>
<h3 id="--in-networking-we-use-acls-for-a-variety-of-reasons-acls-are-typically-used-to-filter-traffic-on-an-interface-acls-on-cisco-ios-can-filter-based-on">- In networking we use ACL's for a variety of reasons. ACL's are typically used to filter traffic on an interface. ACL's on Cisco iOS can filter based on</h3>
<pre><code>- IP address
- Protocols
- Port numbers
</code></pre>
<h3 id="--acls-can-be-used-for-other-reasons-than-just-filtering-traffic-on-a-link-acls-can-also-be-used-to-simply-identify-data-traffic-that-can-than-be-used-for-other-technologiesprotocols-some-examples-are-qos-route-filtering-route-redistribution-nat-and-zone-based-firewalls">- ACL's can be used for other reasons than just filtering traffic on a link. ACL's can also be used to simply identify data traffic that can than be used for other technologies/protocols. Some examples are QoS, Route Filtering, Route Redistribution, NAT and zone-based firewalls.</h3>
<h3 id="--on-cisco-ios-acls-come-in-a-couple-different-flavors-standard-extended-and-named">- On Cisco iOS ACL's come in a couple different flavors. Standard, extended, and named.</h3>
<p><img src="ACL_image.png" alt="" /></p>
<h1 id="standard-acls">Standard ACLs</h1>
<h3 id="--standard-acls-will-only-let-you-filter-based-on-the-source-ip-address-standards-acl-numbers-range-from-1-99-1399---1999">- Standard ACLs will only let you filter based on the source IP address. Standards ACL numbers range from 1-99, 1399 - 1999.</h3>
<h3 id="--standard-acls-best-practice-is-too-apply-the-acl-as-close-to-the-destination-as-possible-the-aces-access-control-entries-on-standard-acls-will-only-be-based-on-source-ip-address">- Standard ACLs best practice is too apply the ACL as close to the destination as possible. The ACEs (Access Control Entries) on standard ACLs will only be based on source IP address.</h3>
<p><img src="standard_acl_image.png" alt="" /></p>
<h1 id="extended-acls">Extended ACls</h1>
<h3 id="--extended-acls-give-network-administrators-more-granular-control-over-what-they-can-permitdeny-extended-acls-allow-filtering-based-protocol-and-port-numbers">- Extended ACLs give network administrators more granular control over what they can permit/deny. Extended ACLs allow filtering based protocol and port numbers.</h3>
<h3 id="--extended-acls-numbers-range-from-100-199-and-2000---2699">- Extended ACLs numbers range from 100-199 and 2000 - 2699.</h3>
<h3 id="--extended-acls-best-practice-is-too-apply-the-acl-as-close-to-the-source-as-possible-acesss-control-entries-in-extended-acls-can-be-based-on-sourcedestination-ip-srcdst-protocol-and-port-number">- Extended ACLs best practice is too apply the ACL as close to the source as possible. Acesss Control Entries in extended ACLs can be based on source/destination IP, src/dst protocol, and port number.</h3>
<p><img src="extended_acl_iamge.png" alt="" /></p>
<h1 id="named-acls">Named ACLs</h1>
<h3 id="--named-acls-can-be-either-standard-or-extended-and-the-main-difference-is-the-syntax-difference-and-how-you-can-edit-this-acl-on-the-cisco-ios">- Named ACLs can be either standard or extended and the main difference is the syntax difference, and how you can edit this ACL on the Cisco iOS.</h3>
<h3 id="--named-acls-do-not-need-to-be-specified-by-a-number-they-are-created-and-specified-using-a-name-you-create-as-the-administrator">- Named ACLs do not need to be specified by a number, they are created and specified using a <strong>&quot;name&quot;</strong> you create as the administrator.</h3>
